Namespace
library
Image / Tag
swift:5.8.0-focal
Content Digest
sha256:5223566c9e5c491dc37f06ea2d608146d56211304d443b491d5ea7659afa3d9b
Details
Created

2023-04-18 01:59:36 UTC

Size

669 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:99803d4b97f3db529ae9ca4174b0951afac6b309e7deaa8ec3214c584e02b3a8 - 4.08% (27.3 MB)

[#001] sha256:599f6dbf3e5b4b5292303ef42ff3bd5d0e7336f4722c00529f67eaa9b5e84d2e - 17.15% (115 MB)

[#002] sha256:22da651bdbb2c28a7ab63c1d077fd71507b4cd3ced054a08718240eec1b7c8b6 - 78.78% (527 MB)

[#003] sha256:a1251246fe4af742cd8ac3b3a748d3f2e693a4f919fb0386beb52ed428c3e539 - 0.0% (228 Bytes)


History
2023-04-13 13:05:13 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-04-13 13:05:13 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-04-13 13:05:13 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-04-13 13:05:13 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2023-04-13 13:05:15 UTC

/bin/sh -c #(nop) ADD file:d05d1c0936b046937bd5755876db2f8da3ed8ccbcf464bb56c312fbc7ed78589 in /

2023-04-13 13:05:15 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-04-18 01:57:19 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-04-18 01:57:19 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-04-18 01:58:54 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-04-18 01:58:55 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-04-18 01:58:55 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04

2023-04-18 01:58:55 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-04-18 01:58:55 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-04-18 01:58:55 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-04-18 01:58:56 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-04-18 01:59:30 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-04-18 01:59:36 UTC

/bin/sh -c swift --version

Details
Created

2023-04-18 01:11:57 UTC

Size

636 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:2378679266ac5157323158b6e52e7a884e559db5217037e57992e47a1667d525 - 4.08% (25.9 MB)

[#001] sha256:ca5cc2666ac1ca690223501f9d3467905659585dcbba92826217dc0df82c7868 - 17.55% (112 MB)

[#002] sha256:924a1d9e520e499074c7e7b6c8fd35400e8af5eea4992cf01391dfd61d0ef8a6 - 78.38% (498 MB)

[#003] sha256:ff86b7eefe401f7d44f601098ad9b79d1a62a8b8040051317ee9a5516dcea45c - 0.0% (229 Bytes)


History
2023-04-13 13:09:50 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-04-13 13:09:50 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-04-13 13:09:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-04-13 13:09:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2023-04-13 13:09:59 UTC

/bin/sh -c #(nop) ADD file:0150fa02321f8be160e90ff64583d263fe651b5d418ab65f05ba604449ab47c6 in /

2023-04-13 13:10:00 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-04-18 01:08:05 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-04-18 01:08:05 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-04-18 01:10:20 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-04-18 01:10:22 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-04-18 01:10:22 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04

2023-04-18 01:10:22 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-04-18 01:10:23 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-04-18 01:10:23 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-04-18 01:10:23 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-04-18 01:11:46 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-04-18 01:11:57 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete